package com.priusis.client.service;

import java.io.File;
import java.io.IOException;

/**
 * Created by priusis on 29.09.17.
 */
public interface TenantManagerService {

    void processRequest(String token, String body) throws Exception;

    File flushRpcDataToFile(MqttRpcDataMessage mqttRpcDataMessage) throws IOException;

    MqttRpcDataMessage readFromFile(String method) throws IOException;
}
